TEMPLATE = lib
TARGET = desq

QT += dbus network

INCLUDEPATH += . Application System Utils
DEPENDPATH += . Application System Utils

HEADERS += Application/DesQGuiApplication.hpp
HEADERS += Application/qtlocalpeer.hpp
HEADERS += Settings/DesQSettings.hpp
HEADERS += System/Battery.hpp
HEADERS += System/Power.hpp
HEADERS += System/SysInfo.hpp
HEADERS += Utils/DesQUtils.hpp
HEADERS += XDG/DesQXdg.hpp

SOURCES += Application/DesQGuiApplication.cpp
SOURCES += Application/qtlocalpeer.cpp
SOURCES += Settings/DesQSettings.cpp
SOURCES += System/Battery.cpp
SOURCES += System/Power.cpp
SOURCES += System/SysInfo.cpp
SOURCES += Utils/DesQUtils.cpp
SOURCES += XDG/DesQXdg.cpp

# Resoruces
RESOURCES += data/data.qrc

# Silent compilation
CONFIG += silent

# For Q_DECL_EXPORT/Q_DECL_IMPORT
DEFINES += LIBDESQ

# Build location
BUILD_PREFIX = $$(DESQ_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR 	= $$BUILD_PREFIX/libdesq/moc
OBJECTS_DIR = $$BUILD_PREFIX/libdesq/obj
RCC_DIR		= $$BUILD_PREFIX/libdesq/qrc
UI_DIR      = $$BUILD_PREFIX/libdesq/uic

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}
	LIBDIR = $$PREFIX/lib/

	INSTALLS += target data headers
	target.path = $$LIBDIR

	data.path = $$PREFIX/share/libdesq/
	data.files = README.md Changelog ReleaseNotes

	headers.path = $$PREFIX/include/desq
	headers.files = $$HEADERS DesQGlobals.hpp
}
